X
Tap here to go to the mobile version of the site.
Your Firefox is out of date and may contain a security risk! Upgrade Firefox

Support Forum

Frequently visited website no longer recognizes Firefox browser. Happened same day as upgrade from 18 to 19.

Posted

Message from frequently visited website: https://www.mybenefitscalwin.org/ Tells me the website is encrypted; managed by HP; HP history shows I've visited this website 126 times; all appears good, but I get the following message after opening their website, on their screen!

Browser Not Supported The Web Browser you are using is not supported by MyBenefits CalWIN. Below is a list of supported browsers. Microsoft Internet Explorer (versions 8 and above) Firefox versions 10 and above

I got this after upgrade from Firefox 18 to 19. Is that the reason?

Chosen solution

don't know of pdf images - however this is a reproducible error that the site throws for every firefox version over firefox 19. this is why i suspect it's a general issue in the way they sniff browser versions & likely they will have to fix it on their end.

you can also try this: Workaround for broken websites

Read this answer in context 1

Additional System Details

Installed Plug-ins

  • Shockwave Flash 11.6 r602
  • Adobe PDF Plug-In For Firefox and Netscape "9.5.4"
  • RealPlayer(tm) LiveConnect-Enabled Plug-In
  • RealPlayer Download Plugin
  • RealNetworks(tm) RealDownloader Chrome Background Extension Plug-In
  • RealNetworks(tm) RealDownloader PepperFlashVideoShim Plug-In
  • RealNetworks(tm) RealDownloader HTML5VideoShim Plug-In
  • RealDownloader Plugin
  • RealNetworks(tm) RealPlayer Chrome Background Extension Plug-In
  • RealPlayer(tm) HTML5VideoShim Plug-In
  • AppWorld NPAPI plugin
  • 4.1.10329.0
  • MindSpark Toolbar Platform Plugin Stub for 32-bit Windows
  • GEPlugin
  • NPWLPG
  • The QuickTime Plugin allows you to view a wide variety of multimedia content in Web pages. For more information, visit the QuickTime Web site.
  • NPRuntime Script Plug-in Library for Java(TM) Deploy
  • BlackBerry WebSL Browser Plug-In

Application

  • User Agent: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:19.0) Gecko/20100101 Firefox/19.0

More Information

philipp
  • Top 10 Contributor
  • Moderator
2048 solutions 8916 answers

hello, this is probably a coding error on the page that fails to process the user agent of firefox 19 & above - please contact the operators of the site and ask them to fix the issue on their end.

Question owner

I already talked to them. They said all is well at their end. HP tells me I am legit, and all is working well at my end. The HP part of the url line gives me all the legit details for the website I've accessed 127 times since 2/1, when I switched to Firefox. I never had a problem until 2/19...the same day as my upgrade.

Can I go back to V.18 to see if that is the issue?

Question owner

Do you not accept .pdf images?

philipp
  • Top 10 Contributor
  • Moderator
2048 solutions 8916 answers

Chosen Solution

don't know of pdf images - however this is a reproducible error that the site throws for every firefox version over firefox 19. this is why i suspect it's a general issue in the way they sniff browser versions & likely they will have to fix it on their end.

you can also try this: Workaround for broken websites

cor-el
  • Top 10 Contributor
  • Moderator
10776 solutions 96977 answers

Firefox has a build-in way to override the user agent for a specific website (domain).

You can create a new string pref:
Name: general.useragent.override.mybenefitscalwin.org
Value: Firefox/[^ ]*#Firefox/18.0

Modified by cor-el

Question owner

Madperson,

This worked beautifully. Sorry for the delay in replying.

https://support.mozilla.org/en-US/kb/websites-say-firefox-outdated-or-incompatible#w_workaround-for-broken-websites

I changed the default browser from 19.0 to 18.0 on 2/21. Firefox just updated a few minutes ago (3/9) back to 19.0. The default browser remained at 18.0 after the update, and the website in question is still accessible. So looks like all is well.

Thank you very much!!!

Modified by Pacific.Patriot